---
title: "FreeBSD 5.2.1-RELEASE Announcement"
sidenav: download
---

++++


<p><b>Date:</b> Wed, 25 Feb 2004 20:31:31 -0700 (MST)<br clear="none" />
  <b>From:</b> Scott Long &lt;scottl@FreeBSD.org&gt;<br clear="none" />
  <b>To:</b> freebsd-announce@FreeBSD.org<br clear="none" />
  <b>Subject:</b> [FreeBSD-Announce] FreeBSD 5.2.1 Released!</p>

<p>
It is once again my great privilege and pleasure to announce the
availability of FreeBSD 5.2.1-RELEASE.  This is a 'point release'
and is intended to address several bugs and vulnerabilities discovered
in the FreeBSD 5.2 release.  These include:
</p>

<ul>
  <li>Significantly improved ATA/IDE and SATA handling.  Problems with
    timeouts, error recovery, and certain master/slave configurations
    have been largely addressed.</li>

  <li>The <tt>kdeadmin3</tt> package has been updated to fix the
    password database corruption found with the KUser tool.</li>

  <li>Third-party NSS modules can now support groups with many
    users.</li>

  <li>Multicast and promiscuous modes have been fixed in the 'sk'
    Ethernet driver, allowing it to operate in a DHCP
    environment.</li>

  <li>Latest updates to the XFree86 4.3 server to protect against
    several published security vulnerabilities.</li>

</ul>

<p>
FreeBSD 5.2.1 also contains a number of other significant stability and
security improvements over FreeBSD 5.2.  However, it is still
considered a 'New Technology' release and might not be suitable for
all users.  Those with more conservative needs may prefer to continue
using FreeBSD 4.X.  Information on the various trade-offs involved, as
well as some notes on future plans for both FreeBSD 4.X and 5.X, can
be found in the Early Adopter's Guide, available here:
</p>

<p>
<tt><a href="http://www.FreeBSD.org/releases/5.2.1R/early-adopter.html" shape="rect">http://www.FreeBSD.org/releases/5.2.1R/early-adopter.html</a></tt>
</p>

<p>
For a complete list of new features and known problems, please see the
release notes and errata list, available here:
</p>

<p><tt><a href="http://www.FreeBSD.org/releases/5.2.1R/relnotes.html" shape="rect">http://www.FreeBSD.org/releases/5.2.1R/relnotes.html</a></tt></p>
<p><tt><a href="http://www.FreeBSD.org/releases/5.2.1R/errata.html" shape="rect">http://www.FreeBSD.org/releases/5.2.1R/errata.html</a></tt></p>

<p>
For more information about FreeBSD release engineering activities,
please see:
</p>

<p>
<tt><a href="http://www.FreeBSD.org/releng/" shape="rect">http://www.FreeBSD.org/releng/</a></tt>
</p>

<p><b>Availability</b></p>

<p>
FreeBSD 5.2.1-RELEASE supports the i386, pc98, alpha, sparc64, amd64, and
ia64 architectures and can be installed directly over the net using the
boot floppies or copied to a local NFS/FTP server.  Distributions for
all architectures are available now.
</p>

<p>
Please continue to support the FreeBSD Project by purchasing media
from one of our supporting vendors.  The following companies will be
offering FreeBSD 5.2.1 based products:
</p>

<table border="0">
  <tbody>
    <tr>
      <td rowspan="1" colspan="1">FreeBSD Mall, Inc.</td>
      <td rowspan="1" colspan="1"><tt><a href="http://www.freebsdmall.com/" shape="rect">http://www.freebsdmall.com/</a></tt></td>
    </tr>
    <tr>
      <td rowspan="1" colspan="1">Daemonnews, Inc.</td>
      <td rowspan="1" colspan="1"><tt><a href="http://www.bsdmall.com/freebsd1.html" shape="rect">http://www.bsdmall.com/freebsd1.html</a></tt></td>
    </tr>
  </tbody>
</table>

<p>
If you can't afford FreeBSD on media, are impatient, or just want to
use it for evangelism purposes, then by all means download the ISO
images.  We can't promise that all the mirror sites will carry the
larger ISO images, but they will at least be available from:
</p>

<ul>
  <li><tt><a href="ftp://ftp.FreeBSD.org/pub/FreeBSD/" shape="rect">ftp://ftp.FreeBSD.org/pub/FreeBSD/</a></tt></li>
  <li><tt><a href="ftp://ftp2.FreeBSD.org/pub/FreeBSD/" shape="rect">ftp://ftp2.FreeBSD.org/pub/FreeBSD/</a></tt></li>
  <li><tt><a href="ftp://ftp3.FreeBSD.org/pub/FreeBSD/" shape="rect">ftp://ftp3.FreeBSD.org/pub/FreeBSD/</a></tt></li>
  <li><tt><a href="ftp://ftp4.FreeBSD.org/pub/FreeBSD/" shape="rect">ftp://ftp4.FreeBSD.org/pub/FreeBSD/</a></tt></li>
  <li><tt><a href="ftp://ftp5.FreeBSD.org/pub/FreeBSD/" shape="rect">ftp://ftp5.FreeBSD.org/pub/FreeBSD/</a></tt></li>
  <li><tt><a href="ftp://ftp7.FreeBSD.org/pub/FreeBSD/" shape="rect">ftp://ftp7.FreeBSD.org/pub/FreeBSD/</a></tt></li>
  <li><tt><a href="ftp://ftp14.FreeBSD.org/pub/FreeBSD/" shape="rect">ftp://ftp14.FreeBSD.org/pub/FreeBSD/</a></tt></li>
  <li><tt><a href="ftp://ftp.cz.FreeBSD.org/pub/FreeBSD/" shape="rect">ftp://ftp.cz.FreeBSD.org/pub/FreeBSD/</a></tt></li>
  <li><tt><a href="ftp://ftp2.de.FreeBSD.org/pub/FreeBSD/" shape="rect">ftp://ftp2.de.FreeBSD.org/pub/FreeBSD/</a></tt></li>
  <li><tt><a href="ftp://ftp3.de.FreeBSD.org/pub/FreeBSD/" shape="rect">ftp://ftp3.de.FreeBSD.org/pub/FreeBSD/</a></tt></li>
  <li><tt><a href="ftp://ftp7.de.FreeBSD.org/pub/FreeBSD/" shape="rect">ftp://ftp7.de.FreeBSD.org/pub/FreeBSD/</a></tt></li>
  <li><tt><a href="ftp://ftp6.tw.freebsd.org/pub/FreeBSD/" shape="rect">ftp://ftp6.tw.freebsd.org/pub/FreeBSD/</a></tt></li>
  <li><tt><a href="ftp://ftp1.ru.FreeBSD.org/pub/FreeBSD/" shape="rect">ftp://ftp1.ru.FreeBSD.org/pub/FreeBSD/</a></tt></li>
  <li><tt><a href="ftp://ftp2.ru.FreeBSD.org/pub/FreeBSD/" shape="rect">ftp://ftp2.ru.FreeBSD.org/pub/FreeBSD/</a></tt></li>
  <li><tt><a href="ftp://ftp5.uk.FreeBSD.org/pub/FreeBSD/" shape="rect">ftp://ftp5.uk.FreeBSD.org/pub/FreeBSD/</a></tt></li>
  <li><tt><a href="ftp://ftp7.uk.FreeBSD.org/pub/FreeBSD/" shape="rect">ftp://ftp7.uk.FreeBSD.org/pub/FreeBSD/</a></tt></li>
  <li><tt><a href="ftp://ftp2.us.FreeBSD.org/pub/FreeBSD/" shape="rect">ftp://ftp2.us.FreeBSD.org/pub/FreeBSD/</a></tt></li>
  <li><tt><a href="ftp://ftp4.us.FreeBSD.org/pub/FreeBSD/" shape="rect">ftp://ftp4.us.FreeBSD.org/pub/FreeBSD/</a></tt></li>
  <li><tt><a href="ftp://ftp11.us.FreeBSD.org/pub/FreeBSD/" shape="rect">ftp://ftp11.us.FreeBSD.org/pub/FreeBSD/</a></tt></li>
  <li><tt><a href="ftp://ftp14.us.FreeBSD.org/pub/FreeBSD/" shape="rect">ftp://ftp14.us.FreeBSD.org/pub/FreeBSD/</a></tt></li>
  <li><tt><a href="ftp://ftp15.us.FreeBSD.org/pub/FreeBSD/" shape="rect">ftp://ftp15.us.FreeBSD.org/pub/FreeBSD/</a></tt></li>
</ul>

<p>
FreeBSD is also available via anonymous FTP from mirror sites in the
following countries: Argentina, Australia, Brazil, Bulgaria, Canada,
China, Czech Republic, Denmark, Estonia, Finland, France, Germany,
Hong Kong, Hungary, Iceland, Ireland, Japan, Korea, Lithuania,
Amylonia, the Netherlands, New Zealand, Poland, Portugal, Romania,
Russia, Saudi Arabia, South Africa, Slovak Republic, Slovenia, Spain,
Sweden, Taiwan, Thailand, Ukraine, and the United Kingdom.
</p>

<p>
Before trying the central FTP site, please check your regional
mirror(s) first by going to:
</p>

<p>
<tt>ftp://ftp.<em>&lt;yourdomain&gt;</em>.FreeBSD.org/pub/FreeBSD</tt>
</p>

<p>
Any additional mirror sites will be labeled ftp2, ftp3 and so on.
</p>

<p>
More information about FreeBSD mirror sites can be found at:
</p>

<p>
<tt><a href="http://www.FreeBSD.org/doc/en_US.ISO8859-1/books/handbook/mirrors-ftp.html" shape="rect">http://www.FreeBSD.org/doc/en_US.ISO8859-1/books/handbook/mirrors-ftp.html</a></tt>
</p>

<p>
For instructions on installing FreeBSD, please see Chapter 2 of The
FreeBSD Handbook.  It provides a complete installation walk-through
for users new to FreeBSD, and can be found online at:
</p>

<p>
<tt><a href="http://www.FreeBSD.org/doc/en_US.ISO8859-1/books/handbook/install.html" shape="rect">http://www.FreeBSD.org/doc/en_US.ISO8859-1/books/handbook/install.html</a></tt>
</p>

<p><b>Acknowledgments</b></p>

<p>
Many companies donated equipment, network access, or man-hours to
finance the release engineering activities for FreeBSD 5.2.1 including
The FreeBSD Mall, Compaq, Yahoo!, Sentex Communications, and
NTT/Verio.
</p>

<p>The release engineering team for 5.2.1-RELEASE includes:</p>

<table border="0">
  <tbody>
    <tr>
      <td rowspan="1" colspan="1">Scott Long &lt;<a href="mailto:scottl@FreeBSD.org" shape="rect">scottl@FreeBSD.org</a>&gt;</td>
      <td rowspan="1" colspan="1">Release Engineering, I386 and Alpha Release Building</td>
    </tr>
    <tr>
      <td rowspan="1" colspan="1">Bruce A. Mah &lt;<a href="mailto:bmah@FreeBSD.org" shape="rect">bmah@FreeBSD.org</a>&gt;</td>
      <td rowspan="1" colspan="1">Release Engineering, Documentation</td>
    </tr>
    <tr>
      <td rowspan="1" colspan="1">Robert Watson &lt;<a href="mailto:rwatson@FreeBSD.org" shape="rect">rwatson@FreeBSD.org</a>&gt;</td>
      <td rowspan="1" colspan="1">Release Engineering, Security</td>
    </tr>
    <tr>
      <td rowspan="1" colspan="1">John Baldwin &lt;<a href="mailto:jhb@FreeBSD.org" shape="rect">jhb@FreeBSD.org</a>&gt;</td>
      <td rowspan="1" colspan="1">Release Engineering</td>
    </tr>
    <tr>
      <td rowspan="1" colspan="1">Murray Stokely &lt;<a href="mailto:murray@FreeBSD.org" shape="rect">murray@FreeBSD.org</a>&gt;</td>
      <td rowspan="1" colspan="1">Release Engineering</td>
    </tr>
    <tr>
      <td rowspan="1" colspan="1">Ken Smith &lt;<a href="mailto:kensmith@FreeBSD.org" shape="rect">kensmith@FreeBSD.org</a>&gt;</td>
      <td rowspan="1" colspan="1">Sparc64 Release Building, Mirror Site Coordination</td>
    </tr>
    <tr>
      <td rowspan="1" colspan="1">Marcel Moolenaar &lt;<a href="mailto:marcel@FreeBSD.org" shape="rect">marcel@FreeBSD.org</a>&gt;</td>
      <td rowspan="1" colspan="1">IA64 Release Building</td>
    </tr>
    <tr>
      <td rowspan="1" colspan="1">David O'Brien &lt;<a href="mailto:obrien@FreeBSD.org" shape="rect">obrien@FreeBSD.org</a>&gt;</td>
      <td rowspan="1" colspan="1">AMD64 Release Building</td>
    </tr>
    <tr>
      <td rowspan="1" colspan="1">Takahashi Yoshihiro &lt;<a href="mailto:nyan@FreeBSD.org" shape="rect">nyan@FreeBSD.org</a>&gt;</td>
      <td rowspan="1" colspan="1">PC98 Release Building</td>
    </tr>
    <tr>
      <td rowspan="1" colspan="1">Kris Kennaway &lt;<a href="mailto:kris@FreeBSD.org" shape="rect">kris@FreeBSD.org</a>&gt;</td>
      <td rowspan="1" colspan="1">Package Building</td>
    </tr>
    <tr>
      <td rowspan="1" colspan="1">Joe Marcus Clarke &lt;<a href="mailto:marcus@FreeBSD.org" shape="rect">marcus@FreeBSD.org</a>&gt;</td>
      <td rowspan="1" colspan="1">Package Building</td>
    </tr>
    <tr>
      <td rowspan="1" colspan="1">Jacques A. Vidrine &lt;<a href="mailto:nectar@FreeBSD.org" shape="rect">nectar@FreeBSD.org</a>&gt;</td>
      <td rowspan="1" colspan="1">Security Officer</td>
    </tr>
  </tbody>
</table>

<p><b>CD Image Checksums</b></p>

<pre xml:space="preserve">
MD5 (5.2.1-RELEASE-alpha-bootonly.iso) = 44136b68eb96d0b0776fcbca3648b020
MD5 (5.2.1-RELEASE-alpha-disc1.iso) = ff5a9ebff52dba2db2e5afdfc996cfe4
MD5 (5.2.1-RELEASE-alpha-disc2.iso) = bace8bceb3186b5bdeccccdc1c2b26cb
MD5 (5.2.1-RELEASE-alpha-miniinst.iso) = 2a30597f5306a539963e826f1f29fb91

MD5 (5.2.1-RELEASE-amd64-bootonly.iso) = 60a590202b07b264d33e30a40f745ba6
MD5 (5.2.1-RELEASE-amd64-disc1.iso) = 7fdc18683561f58df0a2bc6327a6552b
MD5 (5.2.1-RELEASE-amd64-disc2.iso) = fce7b8a76e85772c9d572b84ba1107af
MD5 (5.2.1-RELEASE-amd64-miniinst.iso) = ff4d14fffaa8c4864e167f7df57189ee

MD5 (5.2.1-RELEASE-i386-bootonly.iso) = 5035853dd92a0807645dc1674a2ee028
MD5 (5.2.1-RELEASE-i386-disc1.iso) = 9a1c764680504f5b7d2fb8c2d07de8e0
MD5 (5.2.1-RELEASE-i386-disc2.iso) = 86b96a834fdda87f7436373c53ff3662
MD5 (5.2.1-RELEASE-i386-miniinst.iso) = 6f035aef6598c0307cf53a896ccfa12f

MD5 (5.2.1-RELEASE-ia64-bootonly.iso) = dcdb3bc8fc5ae29fa7deeb836debc0a7
MD5 (5.2.1-RELEASE-ia64-disc2.iso) = 59349f53622559263f77a6d599ebb74e
MD5 (5.2.1-RELEASE-ia64-miniinst.iso) = 80148ffa7420828e28ce53ccfe3f1b8b

MD5 (5.2.1-RELEASE-pc98-disc2.iso) = 06243edad4243fbdfa45f34965c13e5d
MD5 (5.2.1-RELEASE-pc98-miniinst.iso) = 513c50b09da1cf1d8afda8df3599e754

MD5 (5.2.1-RELEASE-sparc64-bootonly.iso) = e9b3e29c6c78aeb5f9176f8c04b9de93
MD5 (5.2.1-RELEASE-sparc64-disc1.iso) = f9d463ccd832a3157603c68ddb9126ae
MD5 (5.2.1-RELEASE-sparc64-disc2.iso) = 8a2c544ce9d9a6c632c8a5120ee99bc7
MD5 (5.2.1-RELEASE-sparc64-miniinst.iso) = 069784739bd4c2244077f8423d97fda6
</pre>


</div>
          <br class="clearboth" />
        </div>
        
++++

